SAP Knowledge Base Article - Preview

2827821 - Upgrade fails due to Foreign Key constraint violations in dspCommon (ADM/ISA)

Symptom

Error thrown by installation PowerShell script:

“Encountered disabled or untrusted constraint ‘FK_ztSystemTypeDataDictionaryTable_ztSystemType’ on table ‘ztSystemTypeTable’”

Powershell_script.jpg


Read more...

Environment

SAP Advanced Data Migration by Syniti version 6.1 and all later versions
SAP Information Steward Accelerator by Syniti version 6.1 and all later versions

Product

SAP Advanced Data Migration by BackOffice Associates all versions ; SAP Information Steward Accelerator by Syniti all versions

Keywords

backoffice associates, BOA, Syniti, ztSystemTypeGroup, ztSystemType, table, PowerShell, script, 6.5.1, upgrade, failure, Foreign Key, constraint, untrusted. , KBA , XX-PART-SYN-ADM , SAP Advanced Data Migration by Syniti , XX-PART-SYN-ISA , SAP Information Steward Acclerator by Syniti , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.